1. We have added a Gift Upgrades feature that allows you to gift an account upgrade to another member, just in time for the holiday season. You can see the gift option when going to the Account Upgrades screen, or on any user profile screen.
    Dismiss Notice

I really need help with this! PLEASE HELP

Discussion in 'Civ4 - General Discussions' started by Thomas1998, Dec 31, 2013.

  1. Thomas1998

    Thomas1998 Chieftain

    Joined:
    Dec 31, 2013
    Messages:
    4
    So i have recently tried to download a mod for Civilization IV BTS called Earth 2010, i read the forum post and put the folder, including the assets and publicmaps into the correct folder for mods (the one including all the other mods, C:\Program Files (x86)\2K Games\Firaxis Games\Sid Meier's Civilization 4 Complete\Beyond the Sword\Mods\Earth 2010)

    I also use the version 3.1.9, which is the current update for BTS.

    When i try to load the mod, and scenarios it doesn't show the screen with the blue loading line which says things like Init Python.

    Do any of you have any ideas as to what i should do? :)

    link to mod i am trying to install: http://forums.civfanatics.com/showthread.php?t=395539
     
  2. lymond

    lymond Rise Up! (Phoenix Style!) Moderator Hall of Fame Staff

    Joined:
    Mar 11, 2008
    Messages:
    22,508
    I'm unfamiliar with the mod and its readiness, but your description of the issue is confusing to me.

    Can you play the game/mod? I would not worry about loading screens. If you can't play the game please provide a better description of the problem.

    Also, make sure you are not running mods like BUG or anything else installed to Custom Assets while running a stand-alone mod.
     
  3. Thomas1998

    Thomas1998 Chieftain

    Joined:
    Dec 31, 2013
    Messages:
    4
    No after the loading screen the game crashes, i don't use any other mods im new to modding civ 4
     
  4. Thomas1998

    Thomas1998 Chieftain

    Joined:
    Dec 31, 2013
    Messages:
    4
    When i press Earth2010 in the "advanced, mods" part of the homescreen it comes up with the brown loading screen with loading in all the different languages. After this the game crashes.
    [EDIT]I just checked, i thought i had installed 3.1.9 ingame but it hasn't had any affect, my current version is 3.1.3 do you have any ideas about how i can get 3.1.9 to work?
     
  5. vandermerwe

    vandermerwe Butt of many jokes

    Joined:
    Dec 10, 2011
    Messages:
    161
    Location:
    Wales
    If by "installed 3.19 ingame" you mean from the updates feature in the game itself, no, that doesn't work (not sure it ever did tbh). Instead, download and install the 3.17 and 3.19 patches from here. Like Lymond I've not come across the mod you're trying to run but most mods are for version 3.19, so it should help.
     
  6. vincentz

    vincentz Programmer

    Joined:
    Feb 4, 2009
    Messages:
    3,556
    Gender:
    Male
    Location:
    Denmark
  7. Thomas1998

    Thomas1998 Chieftain

    Joined:
    Dec 31, 2013
    Messages:
    4
    Thanks so much, ill go ahead and try that now
     

Share This Page